package com.unis.qyzg.common.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * 审批历史意见
 * */
@Getter
@Setter
public class HistoryVO {
	private String assigneeName;//审批人
	//意见
	private String comment;//审批意见
	
	private String startTime;//开始时间
	
	private String EndDate;//结束时间
	
	private String activityName;//审批人岗位
	
	private String department;//申请人部门
	
	private Integer status;
	
	private String fjid;

	@Override
	public String toString() {
		
		
		String retunString="";
		
		if(assigneeName!=null) {
			
			retunString+=assigneeName;
		}
		
		retunString+="!--!";
		
	   if(comment!=null) {
			
			retunString+=comment;
		}
	   retunString+="!--!";
	   
	   if(startTime!=null) {
			
		   retunString+=startTime;
		}
	   retunString+="!--!";
	   
	   if(EndDate!=null) {
			
			retunString+=EndDate;
		}
	   retunString+="!--!";
	   
	   if(activityName!=null) {
			
			retunString+=activityName;
		}
	   retunString+="!--!";
	   
	   
	   if(department!=null) {
			
			retunString+=department;
		}
	   
	   retunString+="!--!";
	   
	   if(status!=null) {
			
			retunString+=status;
		}
	   
        retunString+="!--!";
	   
	   if(fjid!=null) {
			
			retunString+=fjid;
		}
	   
	   return retunString;
	  
		
	}
	
	public HistoryVO getEntity(String message) {
		
		
		if(!message.contains("!--!")) {
			
			return null;
			
		}
		
		HistoryVO historyVO=new HistoryVO();
		
		String[] split = message.split("!--!");
		
		historyVO.setAssigneeName(split[0]);
		
		historyVO.setComment(split[1]);
		
		historyVO.setStartTime(split[2]);
		
		historyVO.setEndDate(split[3]);
		
		historyVO.setActivityName(split[4]);
		
		historyVO.setDepartment(split[5]);
		
		historyVO.setStatus(Integer.parseInt(split[6]));
		
		historyVO.setFjid(split[7]);
		
		return historyVO;
		
		
	}

	public HistoryVO(String assigneeName, String comment, String startTime, String endDate, String activityName,
			String department,Integer status) {
		super();
		this.assigneeName = assigneeName;
		this.comment = comment;
		this.startTime = startTime;
		EndDate = endDate;
		this.activityName = activityName;
		this.department = department;
		this.status=status;
	}

	public HistoryVO() {
		super();
		// TODO Auto-generated constructor stub
	}
	
	
	
	
	
	
	
	
	


	
}

