package com.unis.qyzg.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import java.util.Date;

/**
 * 企业资格管理：资格申请 表
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
public class QyzgQyzgxxVO extends BaseVO{

    /**
     * 资格申请ID
     */
    private String zgsqId;

    /**
     * 资格类型代码：1-承储资格（粮食类）；2-承储资格（食用植物油类）
     */
    private String zglxDm;

    /**
     * 资格证编号
     */
    private String zgzbh;

    /**
     * 企业ID
     */
    private String qyId;

    /**
     * 有效期开始时间
     */
    private Date yxqKssj;

    /**
     * 有效期截止时间
     */
    private Date yxqJzsj;

    /**
     * 申请状态：0-草稿；1-审批中；2-审批完成（通过）；3-审批完成（未通过）
     */
    private Integer sqzt;

    /**
     * 审批完成时间
     */
    private Date spwcsj;

    /**
     * 所属地区
     */
    private String qydq;
    /**
     * 企业名称
     */
    private String qyName;
    /**
     * 仓容
     */
    private String  kzzd1;

    /**
     * 资格申请类型：1-资格认证；2-资格变更；3-资格延续
     */
    private String zgsqlx;

    /**
     * 仓容编号
     */
    private String kzzd4;

    /**
     * 撤销原因
     */
    private String cxyy;
    /**
     * 撤销时间
     */
    private Date cxsj;

    /**
     * 撤销状态
     */
    private String undoState;


    @JsonFormat(pattern="yyyy-MM-dd")
    private Date startDate;

    @JsonFormat(pattern="yyyy-MM-dd")
    private Date endDate;
}