package com.unis.qyzg;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import tk.mybatis.spring.annotation.MapperScan;



@EnableDiscoveryClient
@SpringBootApplication
@EnableFeignClients(basePackages = "com.unis")
@MapperScan("com.unis.qyzg.dao")
@ComponentScan("com.unis")
public class QyzgServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(QyzgServerApplication.class, args);
        System.out.println("========================启动成功==================================");
    }
}