package com.unis.qyzg.config;

import com.unis.common.utils.SwaggerUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;
/**
 * @ClassName SwaggerConfig
 * @Description Swagger配置
 * @Author tiechanglong
 * @Date 2019/7/22 17:07
 * @Version 0.0.3
 **/
@Configuration
@EnableSwagger2
public class SwaggerConfig {

    @Value("${spring.application.name}")
    private String applicationName;

    @Bean
    public Docket createRestApi() {
        return SwaggerUtil.getDocket(applicationName);
    }

}