package com.unis.qyzg.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业备案证书DO
 */
@Data
@Table(name = "QYZG_BAZS")
public class QyzgBazsDO {

    @Id
    @Column(name = "ID")
    private String id;

    //QYZG_ZGSQ表主键ID
    @Column(name = "SQID")
    private String sqId;

    //单位名称
    @Column(name = "DWMC")
    private String dwmc;

    //单位代码
    @Column(name = "DWDM")
    private String dwdm;

    //备案编号
    @Column(name = "BABH")
    private String babh;

    //法定代表人
    @Column(name = "FDDBR")
    private String fddbr;

    //经营地址
    @Column(name = "JYDZ")
    private String jydz;

    //主要仓储业务类型
    @Column(name = "ZYCCYWLX")
    private String zyccywlx;

    //仓（罐）容规模
    @Column(name = "CRGM")
    private String crgm;

    //有效时间开始
    @Column(name = "YXSJKS")
    private Date yxsjks;

    //有效时间截止
    @Column(name = "YXSJJZ")
    private Date yxsjjz;

    //备案管理部门名称
    @Column(name = "BAGLBMMC")
    private String baglbmmc;

    //备案管理部门编码
    @Column(name = "BAGLBMBM")
    private String baglbmbm;

    //备案日期
    @Column(name = "BARQ")
    private Date barq;

    //证书状态 1:待下发 2:已下发 3:已过期
    @Column(name = "ZSZT")
    private Integer zszt;

    //附件ID
    @Column(name = "FJID")
    private String fjid;

    @Column(name = "CREATE_DATE")
    private Date createDate;

    @Column(name = "CREATOR")
    private String creator;

    @Column(name = "CREATOR_CODE")
    private String creatorCode;

    @Column(name = "REFRESH_TIME")
    private Date refreshTime;

    @Column(name = "REFRESHER")
    private String refresher;

    @Column(name = "REFRESHER_CODE")
    private String refresherCode;

    @Column(name = "REMARK")
    private String remark;

    @Column(name = "STATE_CODE")//0:禁用 1：启用
    private Integer stateCode = 1;

    @Column(name = "ORG_CODE")
    private String orgCode;
}