package com.unis.qyzg.entity.father;

import com.unis.qyzg.entity.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.persistence.Column;
import java.util.Date;

/**
 * 企业资格管理：企业资格信息 表
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ToString
public class QyzgQyzgxxDO extends BaseEntity {

    /**
     * 资格申请ID
     */
    private String zgsqId;

    /**
     * 资格类型代码：1-承储资格（粮食类）；2-承储资格（食用植物油类）
     */
    private String zglxDm;

    /**
     * 资格证编号
     */
    private String zgzbh;

    /**
     * 企业ID
     */
    private String qyId;

    /**
     * 有效期开始时间
     */
    private Date yxqKssj;

    /**
     * 有效期截止时间
     */
    private Date yxqJzsj;


    /**
     * 申请状态：0-草稿；1-审批中；2-审批完成（通过）；3-审批完成（未通过）
     */
    private Integer sqzt;

    /**
     * 审批完成时间
     */
    private Date spwcsj;

    /**
     * 所属地区
     */
    //AREA_NAME
    private String qydq;
    /**
     * 企业名称
     */
  //  @Column(name="QY_MC")
    private String qyName;
    
    /**
     * 申请信息
     */
    private String sqxx;

    /**
     * 已逾期
     */
    private String  Overdue;

    /**
     * 资格撤销时间
     */
//    @Column(name="ZGCXSJ")
    private Date cxsj;

    /**
     * 资格撤销人
     */
//    @Column(name="ZGCXR")
    private String zgcxr;

    /**
     *资格撤销人code
     */
//    @Column(name="ZGCXR_CODE")
    private String zgcxrCode;

    /**
     * 资格撤销原因
     */
//    @Column(name="ZGCXYY")
    private String cxyy;

    /**
     * 撤销状态
     */
    private String undoState;

    /**
     * 限期内是否可以再次申请：1-是；0--否
     */
//    @Column(name="XQNSFKZCSQ")
    private String xqnsfkzcsq;

    /**
     * 扩展字段1
     */
    private String kzzd1;

    /**
     * 扩展字段1
     */
    private String kzzd2;

    /**
     * 扩展字段1
     */
    private String kzzd3;

    /**
     * 扩展字段1（仓容编号）
     */
    private String kzzd4;

    /**
     * 扩展字段1
     */
//    private String kzzd7;

    /**
     * 扩展字段1
     */
//    private String kzzd5;

    /**
     * 扩展字段1
     */
    private String kzzd6;
//
//    /**
//     * 扩展字段1
//     */
//    private String kzzd8;
//
//    /**
//     * 扩展字段1
//     */
//    private String kzzd9;
//
//    /**
//     * 扩展字段1
//     */
//    private String kzzd10;

}