package com.unis.qyzg.service;

import com.unis.qyzg.common.vo.QyzgBazsVO;
import com.unis.qyzg.common.vo.QyzgZgsqVO;

import java.util.List;
import java.util.Map;

public interface RecordCertificateService {

    /**
     * 备案证书管理---根据条件查询备案单位
     * @param qyzgZgsqVO
     */
    Map selectRecordCompany(QyzgZgsqVO qyzgZgsqVO, Integer pageNum, Integer pageSize);

    /**
     * 备案证书管理---新增/更新备案证书
     */
    Integer recordCompany(QyzgBazsVO qyzgBazsVO);

    /**
     * 备案证书管理---根据证书ID查询备案证书详情
     * @param id
     * @return
     */
    QyzgBazsVO certificateDetail(String id, String dwdm);

    /**
     * 功能描述: 备案证书---查看
     *
     * @Param: [qyzgBazsVO]
     * @Return: java.util.List<com.unis.qyzg.common.vo.QyzgBazsVO>
     * @Author: zoujieli
     * @Date: 2020-02-28 14:33
     */
    Map findCertificatePageList(QyzgBazsVO qyzgBazsVO, int pageNum, int pageSize);
}
