package com.unis.qyzg.service.impl;

import com.unis.qyzg.common.vo.QyzgBazsVO;
import com.unis.qyzg.common.vo.QyzgZgsqVO;
import com.unis.qyzg.dao.RecordCertificateMapper;
import com.unis.qyzg.domain.RecordCertificateDomain;
import com.unis.qyzg.service.RecordCertificateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 备案证书管理
 */
@Service
public class RecordCertificateServiceImpl implements RecordCertificateService {

    @Autowired
    private RecordCertificateDomain recordCertificateDomain;

    @Override
    public Map selectRecordCompany(QyzgZgsqVO qyzgZgsqVO, Integer pageNum, Integer pageSize) {
        return recordCertificateDomain.selectRecordCompany(qyzgZgsqVO, pageNum, pageSize);
    }

    @Override
    public Integer recordCompany(QyzgBazsVO qyzgBazsVO) {
        return recordCertificateDomain.recordCompany(qyzgBazsVO);
    }

    @Override
    public QyzgBazsVO certificateDetail(String id, String dwdm) {
        return recordCertificateDomain.certificateDetail(id, dwdm);
    }

    @Override
    public Map findCertificatePageList(QyzgBazsVO qyzgBazsVO, int pageNum, int pageSize) {
        return recordCertificateDomain.findCertificatePageList(qyzgBazsVO, pageNum, pageSize);
    }
}
