package com.unis.qyzg.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 企业备案证书VO
 */
@Data
public class QyzgBazsVO {

    @ApiModelProperty(value = "备案证书主键ID")
    private String id;

    @ApiModelProperty(value = "QYZG_ZGSQ表主键ID")
    private String sqId;

    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    @ApiModelProperty(value = "单位代码")
    private String dwdm;

    @ApiModelProperty(value = "备案编号")
    private String babh;

    @ApiModelProperty(value = "法定代表人")
    private String fddbr;

    @ApiModelProperty(value = "经营地址")
    private String jydz;

    @ApiModelProperty(value = "主要仓储业务类型")
    private String zyccywlx;

    @ApiModelProperty(value = "仓（罐）容规模")
    private String crgm;

    @ApiModelProperty(value = "有效时间开始")
    private Date yxsjks;

    @ApiModelProperty(value = "有效时间截止")
    private Date yxsjjz;

    @ApiModelProperty(value = "备案管理部门名称")
    private String baglbmmc;

    @ApiModelProperty(value = "备案管理部门编码")
    private String baglbmbm;

    @ApiModelProperty(value = "备案日期")
    private Date barq;

    @ApiModelProperty(value = "证书状态 1:待下发 2:已下发 3:已过期")
    private Integer zszt;

    @ApiModelProperty(value = "附件ID")
    private String fjid;

    private Date createDate;

    private String creator;

    private String creatorCode;

    private Date refreshTime;

    private String refresher;

    private String refresherCode;

    private String remark;

    @ApiModelProperty(value = "数据状态  0：启用 1：禁用")
    private Long stateCode;

    private String orgCode;
}
