package com.unis.qyzg.client;

import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.*;
import com.unis.common.utils.ResponseWrapper;
@FeignClient(name = "myuser")
@Repository
public interface UserClient {

    @RequestMapping(method = RequestMethod.POST ,value = "/user/getAllUser")
     ResponseWrapper getAllUser(@RequestParam("deptCode") String deptCode);

    @RequestMapping(method = RequestMethod.POST ,value = "/user/findByCode")
    ResponseWrapper findByCode(@RequestBody String[] userCodes);

}
