package com.unis.qyzg.dao;

import com.unis.qyzg.common.vo.QyzgQyzgxxVO;
import com.unis.qyzg.common.vo.QyzgZgsqVO;
import com.unis.qyzg.entity.father.QyzgQyzgxxDO;
import com.unis.qyzg.entity.father.QyzgZgsq;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface QyzgZgsqMapper extends Mapper<QyzgZgsq> {

    int updateZgsq(QyzgZgsqVO record);
    /**
     *
     * @mbggenerated 2019-07-26
     */
    int deleteByKey(String id);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    int insert(QyzgZgsq record);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    int insertSelective(QyzgZgsq record);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    QyzgZgsq selectByKey(String id);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    int updateByKeySelective(QyzgZgsq record);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    int updateByPrimaryKeyWithBLOBs(QyzgZgsq record);

    /**
     *
     * @mbggenerated 2019-07-26
     */
    int updateByPrimaryKey(QyzgZgsq record);

    /**
     * 逻辑删除
     * @param id
     * @return
     */
   void logicDelete(String  id);


    List<QyzgZgsq> selectQyzgAreaCode(String areaCode);

    /**
     * 企业申请统计列表
     * @param zgVO
     * @return
     */
    List<QyzgZgsq> selectAllZgSq(QyzgZgsqVO zgVO);

    /**
     * 根据流程ID查询详情
     * @param lcslId
     * @return
     */
    QyzgZgsq findByLcslId(String lcslId);

}